import moment from 'moment'

export default {
    dateFormat: (value, formatString) => {
        if (!value) return ''
        formatString = formatString || 'YYYY-MM-DD HH:mm:ss'
        return moment(Number(value)).format(formatString) // value可以是普通日期 20170723
    },
    __dateFormat: (value, formatString) => {
        if (!value) return ''
        formatString = formatString || 'YYYY-MM-DD'
        return moment(value).format(formatString) // value可以是普通日期 20170723
    },
    dateFormatUTZ: (value, formatString) => {
        formatString = formatString || 'YYYY-MM-DD HH:mm:ss';
        return moment(value).utcOffset(0).format(formatString);
    },
    statusFormat: (value) => {
        if (value === 0) {
            return "运行中";
        } else {
            return "关闭";
        }
    },
    initNum: num => {
        if (num !== undefined) {
            let a = Math.abs(parseInt(num)).toString().split("");
            let i = a.length - 1;
            while (i >= 3) {
                a.splice(i - 2, 0, ",");
                i = i - 3;
            }
            let b = num < 0 ? ('-' + a.join("")) : a.join("");
            let len = num.toString().length;
            let index = num.toString().indexOf('.');
            return index > -1 ? b + num.toString().slice(index, len) : b;
        }
    },
    msFormat: value => {
        return value + '毫秒';
    }
}
